Summary:	This displays various tables of DNS traffic on your network
Name:		dnstop
Version:	20070510
Release:	%mkrel 3
License:	BSD
Group:		Monitoring
URL:		http://dnstop.measurement-factory.com/
Source0:	http://dns.measurement-factory.com/tools/dnstop/src/%{name}-%{version}.tar.gz
BuildRequires:	libpcap-devel >= 0.7
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
dnstop is a libpcap application (ala tcpdump) that displays
various tables of DNS traffic on your network, including tables
of source and destination IP addresses, query types, top level
domains and second level domains. 

%prep

%setup -q -n %{name}-%{version}

%build
%make CFLAGS="%{optflags} -DUSE_IPV6=1 -DUSE_PPP=0"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -m755 dnstop %{buildroot}%{_sbindir}/
install -m644 dnstop.8 %{buildroot}%{_mandir}/man8/
						
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE
%attr(0755,root,root) %{_sbindir}/dnstop
%attr(0644,root,root) %{_mandir}/man8/dnstop.8*


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 20070510-3mdv2009.0
+ Revision: 244440
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 20070510-1mdv2008.1
+ Revision: 136367
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 20070510-1mdv2008.0
+ Revision: 80886
- 20070510


* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 20060424-1mdv2007.0
+ Revision: 101654
- Import dnstop

* Wed May 17 2006 Emmanuel Andry <eandry@mandriva.org> 20060424-1mdk
- 20060424
- mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 20040309-3mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 20040309-2mdk
- rebuild

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20040309-1mdk
- 20040309
- fix deps

